org.apache.cassandra.utils

## Class JavaUtils

- java.lang.Object
- - org.apache.cassandra.utils.JavaUtils

    public final class JavaUtils
    extends java.lang.Object

Utility method to retrieve information about the JRE.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `supportExitOnOutOfMemory(java.lang.String jreVersion)` Checks if the specified JRE support ExitOnOutOfMemory and CrashOnOutOfMemory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### supportExitOnOutOfMemory

    public static boolean supportExitOnOutOfMemory(java.lang.String jreVersion)

Checks if the specified JRE support ExitOnOutOfMemory and CrashOnOutOfMemory.

Parameters:
  `jreVersion` - the JRE version
Returns:
  `true` if the running JRE support ExitOnOutOfMemory and CrashOnOutOfMemory or if the exact version cannot be determined, `false` otherwise.